#include <windows.h>
#include <shlwapi.h>
#include <stdio.h>
#include "namen-de.h"

#pragma intrinsic(memcpy,strcmp)

#pragma bss_seg(".CRT$XCA")
static void* Anfang;	// Keine Initialisierung
#pragma bss_seg(".CRT$XCZ")
static void* Ende;
#pragma bss_seg()	// zurckschalten zu ".bss"
EXTERN_C _CRTIMP void _cdecl _initterm(void*&,void*&);

EXTERN_C void mainCRTStartup() {
 _initterm(Anfang,Ende);	// ruft alle statischen Konstruktoren
 char*n=PathGetArgs(GetCommandLine());	// 1 Argument = Telefonnummer zum Test
//Verkehrsausscheidungsziffern behandeln, Annahme: Standort Deutschland 2020
 char c[8]="49";	// Deutschland
 char o[8]="371";	// Chemnitz
 char land[32], ort[32];
 *land=0, *ort=0;
 if (*n=='0') {
  char len=name_de(++n,ort);
  printf("0%.*s ",len,n);
  n+=len;
 }
 printf("%s\n",n);	// restliche Telefonnummer
 if (*land) printf(" %s",land);
 if (*ort)  printf(" %s",ort);
 if (*land||*ort) printf("\n");
 ExitProcess(0);
}
